﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.Specialized;
using System.Collections.Generic;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace GeoMapDataTriggerWPF
{
    public class City
    {
        public string Name { get; set; }
        public double Latitude { get; set; }
        public double Longitude { get; set; }
        public MeterType MeterType { get; set; }


        public City(string name, double latitude, double longitude, MeterType meterType)
        {
            this.Name = name;
            this.Latitude = latitude;
            this.Longitude = longitude;
            this.MeterType = meterType;
            //this.MeterType = MeterType.Pool;
        }
    }

    public enum MeterType
    {
        Standard,
        Pool
    }

    public class Cities : ObservableCollection<City>
    {
        public Cities()
        {
            Add(new City("Warsaw", 52.21, 21, MeterType.Pool));
            Add(new City("Berlin", 52.50, 13.33, MeterType.Pool));
            Add(new City("Moscow", 55.75, 37.51, MeterType.Standard));
            Add(new City("Sedney", -33.83, 151.2, MeterType.Pool));
            Add(new City("Tokyo", 35.6895, 139.6917, MeterType.Pool));
            Add(new City("Seoul", 37.5665, 126.9780, MeterType.Pool));
            Add(new City("Delhi", 28.6353, 77.2250, MeterType.Standard));
            Add(new City("Mumbai", 19.0177, 72.8562, MeterType.Pool));
            Add(new City("Manila", 14.6010, 120.9762, MeterType.Standard));
            Add(new City("Shanghai", 31.2244, 121.4759, MeterType.Pool));
        }

        public int this[string _name]
        {
            get
            {
                int ind = 999999;

                for (int i = 0; i < this.Count; i++)
                {
                    if (this[i].Name == _name)
                        ind = i;
                }

                return ind;
            }
        }
    }
}